using System;

namespace Zadatak4_Cenzura
{
    class Program
    {
        static void Main(string[] args)
        {
            string t, s;
            t = Console.ReadLine();
            s = Console.ReadLine();
            char[] ch = t.ToCharArray();
            int i=0, j=0;
            int x=0;
            for (i = 0; i < t.Length; i++)
            {
                if (t[i] == 'a')
                {
                    j++;
                }
                else
                {
                    j = 0;
                }
                if (j >= s.Length)
                {
                    ch[i] = '*';
                    x++;
                }
            }
            string g = new string(ch);
            Console.WriteLine(x);
            Console.WriteLine(g);
        }
    }
}